import { isObject as e } from "lodash";
import { SHJDatasourceV2 as l } from "../../datasource/index.mjs";
import { EventUtils as s } from "../utils/utils.mjs";
const p = (r, i) => {
  try {
    if (r.dataType === "params") {
      let a = i || null;
      e(a) && r.escape && (a = s.toStringify(a)), window.ue5(r.functionName, a);
      return;
    }
    if (!r.useDataSource)
      return;
    l.parse({
      sources: [r.useDataSource],
      noUseMapping: !0,
      isInterval: !1,
      callback: (a) => {
        let t = a || null;
        e(t) && r.escape && (t = s.toStringify(t)), window.ue5(r.functionName, t);
      }
    });
  } catch {
  }
};
export {
  p as executeUeShjExecMethodAction
};
